New asterisk. So what?


#1

What are the main reasons to upgrade my * 1.0.9 box to the new version?
Thanks,
Filippos


#2

[quote=“filippos”]What are the main reasons to upgrade my * 1.0.9 box to the new version?
Thanks,
Filippos[/quote]

A new version with more stability and more applications. But, you need to evaluate these differences with your requirements an see if the upgrade makes sense. It may not.


#3

Please be more specific because I’ve tried to compile 1.2.1 to a new SUSE 9.3 box Pentium640 (I must use this release) and after 12 hours I’ve manage to make it run 1/2 the 1.0.9 enhancements. (odbc, modem_i4l and other modules cannot be loaded)


#4

All of the enhancements are on the Wiki:

voip-info.org/wiki/index.php … erisk+v1.2 (have a look at the presentation)

In terms of why it took you 12 hours, please provide details as to what problems you had and are continuing to have.


#5

1.2.1 to a new SUSE 9.3 box Pentium640 (I must use this release)
Fixed

  1. curses errors and errors on editline/ because x64
  2. downloaded also modules : sox, chan_capi_cm063, fcpci, openssl,
    Problems not solved
  3. == Registered channel type ‘MGCP’ (Media Gateway Control Protocol (MGCP))
    [chan_zap.so]Jan 11 12:42:28 WARNING[21265]: loader.c:325 __load_resource: /usr/lib/asterisk/modules/chan_zap.so: undefined symbol: pri_restart
    Jan 11 12:42:28 WARNING[21265]: loader.c:554 load_modules: Loading module chan_zap.so failed!
    == Registered channel type ‘MGCP’ (Media Gateway Control Protocol (MGCP))
    [chan_zap.so]Jan 11 12:42:28 WARNING[21265]: loader.c:325 __load_resource: /usr/lib/asterisk/modules/chan_zap.so: undefined symbol: pri_restart
    Jan 11 12:42:28 WARNING[21265]: loader.c:554 load_modules: Loading module chan_zap.so failed!

so I have to delete chan_zap.so bad another problem raises


ke[2]: Entering directory /usr/src/packages/SOURCES/asterisk-1.2.1/mpg123-0.59r' make[3]: Entering directory/usr/src/packages/SOURCES/asterisk-1.2.1/mpg123-0.59r’
gcc -DI386_ASSEM -DPENTIUM_OPT -DREAL_IS_FLOAT -DLINUX -DREAD_MMAP -DOSS -DTERM_CONTROL -Wall -O2 -m486 -fomit-frame-pointer -funroll-all-loops -finline-functions -ffast-math -c -o mpg123.o mpg123.c
-m486' is deprecated. Use-march=i486’ or `-mcpu=i486’ instead.
cc1: error: CPU you selected does not support x86-64 instruction set
make[3]: *** [mpg123.o] Error 1
make[3]: Leaving directory